> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semilattice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Make a simulation public

> Make a simulation publicly viewable and return its shareable URL.



## OpenAPI

````yaml https://api.semilattice.ai/openapi.json post /v1/simulations/{simulation_id}/share
openapi: 3.1.0
info:
  title: Semilattice API
  description: API for human behaviour simulation.
  contact:
    name: Semilattice API
    url: https://semilattice.ai/
    email: support@semilattice.ai
  version: v1.0.0
servers: []
security: []
paths:
  /v1/simulations/{simulation_id}/share:
    post:
      tags:
        - Simulations
      summary: Make a simulation public
      description: Make a simulation publicly viewable and return its shareable URL.
      operationId: share_simulation_route_v1_simulations__simulation_id__share_post
      parameters:
        - name: simulation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Simulation Id
        - name: authorization
          in: header
          required: false
          schema:
            type: string
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````